<?php
/*
  Plugin Name: Fly Facebook Slider
  Plugin URI: http://social-media-extensions.com/wp/
  Description: Thanks for installing  Fly Facebook Slider.
  Version: 1.0
  Author: Social Media Extensions
  Author URI: http://social-media-extensions.com/wp/
 */

class An_Fly_Facebook {

    public $options;

    public function __construct() {
        $this->options = get_option('fly_fb_options');
        add_action('admin_menu', array($this,'an_fly_fb_sidebar_menu'));
        add_action('admin_init', array($this,'an_fly_fb_setting_register'));
        add_action('wp_footer', array($this,'fly_fb_sidebar_footer'));
    }
    public static function an_fly_fb_sidebar_menu() {
        add_menu_page(__('Fly Facebook Slider', 'fly_facebook_slider'), __('Fly Facebook Slider', 'fly_facebook_slider'), 'manage_options', __FILE__, array('An_Fly_Facebook', 'fly_fb_show_setting_page'), 'dashicons-facebook', '80');
    }
    public static function fly_fb_show_setting_page() {
        ?>
        <div class="wrap">
            <?php screen_icon(); ?>
            <h2>Fly Facebook Slider Configuration</h2>
            <form method="post" action="options.php" enctype="multipart/form-data">
                <?php settings_fields('fly_fb_options'); ?>
                <?php do_settings_sections(__FILE__); ?>
                <p class="submit">
                    <input name="submit" type="submit" class="button-primary" value="Save Changes"/>
                </p>
            </form>
        </div>
        <?php
    }
    public function an_fly_fb_setting_register() {
        register_setting('fly_fb_options', 'fly_fb_options', array($this, 'fly_fb_sidebar_validate'));
        add_settings_section('fly_fb_sidebar_slider', 'Settings', array($this, 'fly_fb_sidebar_slider_cb'), __FILE__);
        add_settings_field('name', 'Name', array($this, 'fly_fb_name_settings'), __FILE__, 'fly_fb_sidebar_slider');
        add_settings_field('fb_username', 'Facebook Page URL ', array($this, 'fly_fb_url'), __FILE__, 'fly_fb_sidebar_slider');
        add_settings_field('icon', 'Margin Top', array($this, 'fly_fb_margin'), __FILE__, 'fly_fb_sidebar_slider');
        add_settings_field('fb_height', 'Height', array($this, 'fly_fb_height'), __FILE__, 'fly_fb_sidebar_slider');
        add_settings_field('face', 'Display Face', array($this, 'fly_fb_face_setting'), __FILE__, 'fly_fb_sidebar_slider');
        add_settings_field('post', 'Display Post', array($this, 'fly_fb_post_settings'), __FILE__, 'fly_fb_sidebar_slider');
        add_settings_field('cover', 'Hide Cover Photo', array($this, 'fly_fb_cover_settings'), __FILE__, 'fly_fb_sidebar_slider');
        add_settings_field('language', 'Language', array($this, 'fly_fb_language_settings'), __FILE__, 'fly_fb_sidebar_slider');
        add_settings_field('fly_img_show', 'Icon', array($this, 'fly_fb_show_img'), __FILE__, 'fly_fb_sidebar_slider');
        add_settings_field('fly_page_show', 'Show', array($this, 'fly_page_show'), __FILE__, 'fly_fb_sidebar_slider');
    }

    public function fly_fb_sidebar_validate($plugin_options) {
        return($plugin_options);
    }

    public function fly_fb_sidebar_slider_cb() {
        
    }

    public function fly_fb_url() {
        if (empty($this->options['fb_username']))
            $this->options['fb_username'] = "https://www.facebook.com/FacebookDevelopers";
        echo "<input name='fly_fb_options[fb_username]' type='text' value='{$this->options['fb_username']}' />";
    }

    public function fly_fb_margin() {
        if (empty($this->options['icon']))
            $this->options['icon'] = "200";
        echo "<input name='fly_fb_options[icon]' type='text' value='{$this->options['icon']}' />";
    }

    public function fly_fb_height() {
        if (empty($this->options['fb_height']))
            $this->options['fb_height'] = 300;
        echo "<input name='fly_fb_options[fb_height]' type='text' value='{$this->options['fb_height']}' />";
    }

    public function fly_fb_name_settings() {
        if (empty($this->options['name']))
            $this->options['name'] = "Facebook";
        echo "<input name='fly_fb_options[name]' type='text' value='{$this->options['name']}' />";
    }

    public function fly_fb_face_setting() {
        if (empty($this->options['face']))
            $this->options['face'] = "true";
        $items = array('true', 'false');
        echo "<select name='fly_fb_options[face]'>";
        foreach ($items as $face) {
            $selected = ($this->options['face'] === $face) ? 'selected = "selected"' : '';
            echo "<option value='$face' $selected>$face</option>";
        }
        echo "</select>";
    }

    public function fly_fb_cover_settings() {
        if (empty($this->options['cover']))
            $this->options['cover'] = "true";
        $items = array('true', 'false');
        echo "<select name='fly_fb_options[cover]'>";
        foreach ($items as $cover) {
            $selected = ($this->options['cover'] === $cover) ? 'selected = "selected"' : '';
            echo "<option value='$cover' $selected>$cover</option>";
        }
        echo "</select>";
    }

    public function fly_fb_post_settings() {
        if (empty($this->options['post']))
            $this->options['post'] = "false";
        $items = array('true', 'false');
        echo "<select name='fly_fb_options[post]'>";
        foreach ($items as $post) {
            $selected = ($this->options['post'] === $post) ? 'selected = "selected"' : '';
            echo "<option value='$post' $selected>$post</option>";
        }
        echo "</select>";
    }

    public function fly_fb_language_settings() {
        if (empty($this->options['language']))
            $this->options['language'] = "en_US";
        $items = array('en_US', 'en_GB', 'af_ZA', 'bn_IN', 'es_ES', 'it_IT', 'ar_AR', 'tt_RU');
        echo "<select name='fly_fb_options[language]'>";
        foreach ($items as $language) {
            $selected = ($this->options['language'] === $language) ? 'selected = "selected"' : '';
            echo "<option value='$language' $selected>$language</option>";
        }
        echo "</select>";
    }

    public function fly_fb_show_img() {
        //$imgURL = plugins_url('fb_sidebar_slider/assets/css/fb-left.png');
        $img_url = array(
            'img1' => plugin_dir_url(__FILE__) . 'assets/img/ficon1.png',
            'img2' => plugin_dir_url(__FILE__) . 'assets/img/ficon2.png',
            'img3' => plugin_dir_url(__FILE__) . 'assets/img/ficon3.png',
            'img4' => plugin_dir_url(__FILE__) . 'assets/img/ficon4.png',
        );

        foreach ($img_url as $key => $value):
            ?>
            <input id="<?php echo $key ?>" type="radio" name="fly_fb_options[fly_img_show]" value="<?php echo $value; ?>"<?php if ($this->options['fly_img_show'] == $value) echo 'checked'; ?>><label for="<?php echo $key ?>"><img src="<?php echo $value; ?>" alt="Icon" ></label>

            <?php
        endforeach;
    }

    public function fly_page_show(){
        $page_array = array(
            'Home' =>'homes' ,
            'Page'=>'pages',
            'Post'=>'posts' ,
            'Archive'=>'archives',
            'Category'=>'categoryes'
            );
        foreach ($page_array as $key => $value):
            ?>
            <input id="<?php echo $key ?>" type="checkbox" name="fly_fb_options[fly_page_show][]" value="<?php echo $value; ?>"<?php checked( in_array($value, (array)$this->options['fly_page_show'] ) );?>><label for="<?php echo $key ?>"><?php echo $key; ?></label>

            <?php
        endforeach;
    }

    public function fly_fb_sidebar_footer() {

    require_once('template.php');
    if(empty($this->options['fly_page_show'])){
        $this->options['fly_page_show']=array('');

    }  
    foreach ($this->options['fly_page_show'] as $key => $value) {
        if(is_single() && $value=='posts'):
            echo fly_fb_get_template();
        endif;
        if(is_home() && $value=='homes'):
           echo fly_fb_get_template();
        endif;
        if(is_page() && $value=='pages'):
            echo fly_fb_get_template();
        endif;  
        if(is_archive() && $value=='archives'):
            echo fly_fb_get_template();
        endif;   
        if(is_category() && $value=='categoryes'):
            echo fly_fb_get_template();
        endif; 
    }
    if(empty($this->options['fly_page_show'][0])):
        echo fly_fb_get_template();
    endif;  
    

    
}


}

new An_Fly_Facebook();

add_action('wp_enqueue_scripts', 'fly_fb_sidebar_css_register');

function fly_fb_sidebar_css_register() {
    wp_enqueue_style('fly_fb_sidebar_css', plugins_url('assets/css/style.css', __FILE__));
}

add_action('wp_enqueue_scripts', 'fly_fb_sidebar_script_register');

function fly_fb_sidebar_script_register() {

    wp_enqueue_script('fly_facebook_js', plugins_url('assets/js/main.js', __FILE__), array('jquery'));
}
